Summary:	Logs TCP, UDP, and ICMP connections to syslog
Name:		iplog
Version:	2.2.3
Release:	%mkrel 26
License:	GPL
Group:		Monitoring
URL:		http://ojnk.sourceforge.net
Source0:	%{name}-%{version}.tar.bz2
Source1:	%{name}
Source2:	%{name}.conf
Patch0:		%{name}-2.2.3-gcc-3.3.patch
Requires(post): rpm-helper
Requires(preun): rpm-helper
Buildrequires:	libpcap-devel 

%description
iplog is a TCP/IP traffic logger. Currently, it is capable of logging TCP, UDP
and ICMP traffic. Adding support for other protocols should be relatively easy.
iplog contains a built-in packet filter, allowing for logging or excluding
packets that fit a given set of criteria.

%prep

%setup -q
%autopatch -p1

%build
%configure
%make_build

%install
%make_install

install -m755 %SOURCE1 -D %{buildroot}/%{_initrddir}/%{name}
install -m644 %SOURCE2 -D %{buildroot}/%{_sysconfdir}/%{name}.conf

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%files
%doc AUTHORS COPYING README TODO NEWS
%attr(0755,root,root) %{_initrddir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}.conf
%{_sbindir}/*
%{_mandir}/man5/*
%{_mandir}/man8/*




%changelog
* Thu Feb 13 2020 umeabot <umeabot> 2.2.3-26.mga8
+ Revision: 1513629
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 2.2.3-25.mga7
+ Revision: 1298308
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use new make macros

* Thu Feb 04 2016 umeabot <umeabot> 2.2.3-24.mga6
+ Revision: 935986
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.2.3-23.mga5
+ Revision: 747450
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.2.3-22.mga5
+ Revision: 680539
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.2.3-21.mga4
+ Revision: 506086
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 2.2.3-20.mga3
+ Revision: 354454
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Mar 16 2011 steletch <steletch> 2.2.3-19.mga1
+ Revision: 72904
- imported package iplog


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 2.2.3-19mdv2011.0
+ Revision: 605978
- rebuild

* Mon Mar 15 2010 Oden Eriksson <oeriksson@mandriva.com> 2.2.3-18mdv2010.1
+ Revision: 520131
- rebuilt for 2010.1

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 2.2.3-17mdv2010.0
+ Revision: 425362
- rebuild

* Sun Mar 08 2009 Oden Eriksson <oeriksson@mandriva.com> 2.2.3-16mdv2009.1
+ Revision: 352829
- fix #31386 (Please provide LSB tags for the iplog initscript)

* Sat Dec 20 2008 Oden Eriksson <oeriksson@mandriva.com> 2.2.3-15mdv2009.1
+ Revision: 316782
- rebuild

* Wed Oct 29 2008 Oden Eriksson <oeriksson@mandriva.com> 2.2.3-14mdv2009.1
+ Revision: 298261
- rebuilt against libpcap-1.0.0

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 2.2.3-13mdv2009.0
+ Revision: 221633
- rebuild

* Sun Jan 13 2008 Thierry Vignaud <tv@mandriva.org> 2.2.3-12mdv2008.1
+ Revision: 150291
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Sat Mar 17 2007 Oden Eriksson <oeriksson@mandriva.com> 2.2.3-11mdv2007.1
+ Revision: 145452
- use the %%mkrel macro
- bunzip the patches

* Sat Dec 31 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 2.2.3-10mdk
- Rebuild

* Thu Jul 14 2005 Oden Eriksson <oeriksson@mandriva.com> 2.2.3-9mdk
- rebuilt against new libpcap-0.9.1 (aka. a "play safe" rebuild)

* Wed Aug 25 2004 Pablo Saratxaga <pablo@mandrakelinux.com> 2.2.3-8mdk
- cleaned initscript i18n

